--Slash commands

SortCommand = Turbine.ShellCommand()
function SortCommand:Execute(command, i)
	import "JackdawPlugins.SortPack.Sort"
	Turbine.Shell.WriteLine("<rgb=#888888>Starting sort")
	Sort()
end
Turbine.Shell.AddCommand('Sort', SortCommand)

StackCommand = Turbine.ShellCommand()
function StackCommand:Execute(command, i)
	import "JackdawPlugins.SortPack.Stack"
	Turbine.Shell.WriteLine("<rgb=#888888>Starting stack")
	Stack()
end
Turbine.Shell.AddCommand('Stack', StackCommand)

OptionCommand = Turbine.ShellCommand()
function OptionCommand:Execute(command, i)
	import"JackdawPlugins.SortPack.ListOption"
	ShowListOption()
end
Turbine.Shell.AddCommand('SortOption', OptionCommand)

CatCommand = Turbine.ShellCommand()
function CatCommand:Execute(command, i)
	import	"JackdawPlugins.SortPack.CustomOption"
	ShowCustomOption()
end
Turbine.Shell.AddCommand('SortCat', CatCommand)

HideCommand = Turbine.ShellCommand()
function HideCommand:Execute(command, i)
	SortButtonData.Hide=not(SortButtonData.Hide)
	SortButton:SetVisible(not(SortButtonData.Hide))
end
Turbine.Shell.AddCommand('SortHide', HideCommand)

DebugCommand = Turbine.ShellCommand()
function DebugCommand:Execute(command, i)
	import"JackdawPlugins.SortPack.Debug"
	Debug()
end
Turbine.Shell.AddCommand('SortDebug', DebugCommand)

OpenBagCommand = Turbine.ShellCommand()
function OpenBagCommand:Execute(command, i)
	import "JackdawPlugins.SortPack.bag"
	if SortBag~=nil then	if SortBag:IsVisible() then SortBag:Close() return end end
	openbag()
end
Turbine.Shell.AddCommand('openbag', OpenBagCommand)
ShowCounterCommand = Turbine.ShellCommand()
function ShowCounterCommand:Execute(command, i)
	if Counter~=nil then
		if Counter.Show then 
			Count:SetVisible(false) 
			Counter.Show=false 
			else 
			if Count~=nil then
				Count:SetVisible(true)
			end
			Counter.Show=true 
		end 
	end
	import "JackdawPlugins.SortPack.Counter"
end
Turbine.Shell.AddCommand('SortCounter', ShowCounterCommand)
